// gnome.xonotic.in.ua

textures/asnagrim/asnadirtmetal1
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/asnagrim/asnadirtmetal1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/asnagrim/asnaframe1
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/asnagrim/asnaframe1.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map textures/asnagrim/asnaframe1a.tga
		blendfunc add
		tcmod scale 1 1
	}
}

textures/asnagrim/asnaframe2
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/asnagrim/asnaframe2.tga
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map textures/asnagrim/asnaframe2a.tga
		blendfunc add
		tcmod scale 1 1
	}
}

textures/asnagrim/asnaglass3
{
	surfaceparm nolightmap
	cull twosided
	{
		map textures/asnagrim/asnaglass3.tga
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc gl_one gl_one
	}
}

textures/asnagrim/asnaportal
{
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 300
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 1 2 .1 0.3
	{
		map textures/asnagrim/asnaportal.tga
		tcmod scale .2 .2
		tcmod scroll .04 .03
		tcmod turb 0 .1 0 .01
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/asnagrim/asnaportal.tga
		blendfunc blend
		tcmod turb 0 .2 0 .1
	}
}

textures/base_floor/achtung_clang
{
	{
		map textures/evil8_floor/e8clangfloor04warn2red.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/base_floor/hfloor3
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_floor/hfloor3.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_floor/hfloor3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/metfloor1
{
	surfaceparm metalsteps
	{
		map textures/base_floor/metfloor1.tga
		rgbgen const ( 1 1 1 )
	}
	{
		clampmap textures/base_wall/chrome_env2.tga
		blendfunc add
		rgbgen const ( 0.188235 0.188235 0.188235 )
		tcgen environment
	}
	{
		map textures/base_floor/metfloor1.tga
		blendfunc filter
		rgbgen const ( 0.737255 0.737255 0.737255 )
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_34_5k
{
	qer_editorimage textures/base_light/ceil1_34.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_trim/dark_tin2
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/base_trim/dark_tin2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/tin
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_trim/wires01
{
	cull disable
	surfaceparm alphashadow
	deformvertexes autosprite2
	surfaceparm trans
	{
		map textures/base_trim/wires01.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_trim/wires01_ass
{
	cull disable
	surfaceparm alphashadow
	deformvertexes autosprite2
	{
		map textures/base_trim/wires01_ass.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_wall/bluemetalsupport2c_1
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2c_1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/blumtlspt2b
{
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/blumtlspt2bglow.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/blumtlspt2b.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetalsupport2bglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.5 0.5 0 .2
	}
}

textures/base_wall/comp3b_dark
{
	q3map_lightimage textures/base_wall/comp3textb.tga
	q3map_surfacelight 1
	{
		map textures/base_wall/comp3textb.tga
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3env.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map textures/base_wall/comp3b.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/comp3c
{
	{
		map textures/base_wall/comp3env.tga
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_one gl_one
	}
	{
		map textures/base_wall/comp3c.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/liquids/clear_ripple3
{
	qer_editorimage textures/water/pool3d_5e.jpg
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	deformvertexes wave 150.0 sin 2 5 0.25 0.1
	q3map_tesssize 128
	cull none
	{
		map textures/water/pool3d_5e.jpg
		blendfunc add
		rgbgen vertex
	}
}

textures/sfx/beam_waterlight2
{
	qer_editorimage textures/sfx/beam_waterlight.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
	qer_trans 0.6
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_waterlight.tga
		tcmod turb 0 0.015 0.5 0.07
		tcmod scroll .15 0
		blendfunc add
	}
}

textures/sfx/bounce_concrete
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/skies/nightsky_xian_dm1
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 300
	q3map_sun 1 1 1 100 -41 58
	qer_editorimage textures/skies/nightsky_nocloud.tga
	skyparms env/xnight2 - -
}

